cmake_minimum_required(VERSION 2.8.11)

project(sprinklersd)

include (libubus)
include (libubox)
include (libubuscpp)
include (libjsoncpp)

include_directories(../../src)

set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra -pedantic -Werror=strict-aliasing")

file(
	GLOB_RECURSE
	source_files
	../../src/main.cpp
	../../src/UbusSprinklerModel.cpp
	../../src/sprinklers.cpp
)

add_executable (
        sprinklersd
        ${source_files}
)

target_link_libraries (sprinklersd 
	LINK_PUBLIC
	jsoncpp
	ubuscpp
	rt
	)
